"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IDL = void 0;
exports.IDL = {
    "version": "0.1.0",
    "name": "gasless_program",
    "instructions": [
        {
            "name": "verifyRentAccounts",
            "accounts": [
                {
                    "name": "authority",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "rent",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "fees",
                    "type": {
                        "vec": "u64"
                    }
                },
                {
                    "name": "powSignature",
                    "type": "string"
                }
            ]
        }
    ],
    "events": [
        {
            "name": "Memo",
            "fields": [
                {
                    "name": "powSignature",
                    "type": "string",
                    "index": true
                }
            ]
        }
    ],
    "errors": [
        {
            "code": 6000,
            "name": "InvalidInput",
            "msg": "Invalid data input"
        },
        {
            "code": 6001,
            "name": "NumberCastError",
            "msg": "Unable to cast number into BigInt"
        },
        {
            "code": 6002,
            "name": "RentFeeMismatch",
            "msg": "Rent fee is mismatched"
        }
    ]
};
