import { Connection, PublicKey, TransactionInstruction, Transaction } from "@solana/web3.js";
import { Artifact } from "./artifacts";
export type DappInstruction = {
    name: string;
} & TransactionInstruction;
type NeededInitAccount = {
    newAccount: PublicKey;
    feePayer: PublicKey;
    lamports: number;
};
export declare class GaslessDapp {
    readonly connection: Connection;
    readonly dapps: Artifact[];
    constructor(connection: Connection, dapps: Artifact[]);
    static new(connection: Connection): Promise<GaslessDapp>;
    decodeTransaction(transaction: Transaction): DappInstruction[];
    hasDappInstruction(transaction: Transaction): boolean;
    addBorrowRepayForRentExemption(transaction: Transaction, wallet: PublicKey, feePayer: PublicKey, rentExemption: number): Promise<Transaction>;
    build(transaction: Transaction, wallet: PublicKey, feePayer: PublicKey): Promise<Transaction>;
    findNeededInitAccounts(connection: Connection, transaction: Transaction, gaslessFeePayer: PublicKey): Promise<{
        transaction: Transaction;
        neededInits: NeededInitAccount[];
    }>;
}
export {};
